Alembic Version 1.1

Classes | Namespaces | Macros
Exception.h File Reference

Header file containing class definition for class Alembic::Util::Exception. More...

`#include <Alembic/Util/Foundation.h>`
Include dependency graph for Exception.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | Alembic::Util::ALEMBIC_VERSION_NS::Exception
| Base class for all exceptions in the Alembic libraries. Derived from both std::exception and std::string, publicly It is mostly commonly thrown using the macros. More...

## Namespaces
namespace | Alembic
| Alembic namespace ...
namespace | Alembic::Util
namespace | Alembic::Util::ALEMBIC_VERSION_NS

## Macros
#define | ABC_THROW(TEXT)
| convenient macro which may be used with std::iostream syntax More...
#define | ALEMBIC_THROW(TEXT) ABC_THROW( TEXT )
| convenient macro which may be used with std::iostream syntax More...

## Detailed Description

Header file containing class definition for class Alembic::Util::Exception.

Definition in file Exception.h.

## Macro Definition Documentation

## ◆ ABC_THROW

#define ABC_THROW | ( |  | TEXT | ) |

Value:
do \
{ \
std::stringstream sstr; \
sstr << TEXT; \
Alembic::Util::Exception exc( sstr.str() ); \
throw( exc ); \
} \
while( 0 )

convenient macro which may be used with std::iostream syntax

Same as ALEMBIC_THROW

Definition at line 87 of file Exception.h.

## ◆ ALEMBIC_THROW

#define ALEMBIC_THROW | ( |  | TEXT | ) | ABC_THROW( TEXT )

convenient macro which may be used with std::iostream syntax

Same as ABC_THROW

Definition at line 100 of file Exception.h.